window.CDO_bluetoothPrint = true;
window.bluetoothPrint = {};
window.bluetoothPrint_order = [ [ 0x1b, 0x40 ],// 复位打印机    
            [ 0x1b, 0x4d, 0x00 ],// 标准ASCII字体    
            [ 0x1b, 0x4d, 0x01 ],// 压缩ASCII字体    
            [ 0x1d, 0x21, 0x00 ],// 字体不放大    
            [ 0x1d, 0x21, 0x02 ],// 宽高加倍    
            [ 0x1d, 0x21, 0x11 ],// 宽高加倍  
            [ 0x1b, 0x45, 0x00 ],// 取消加粗模式
            [ 0x1b, 0x45, 0x01 ],// 选择加粗模式
            [ 0x1b, 0x7b, 0x00 ],// 取消倒置打印
            [ 0x1b, 0x7b, 0x01 ],// 选择倒置打印
            [ 0x1d, 0x42, 0x00 ],// 取消黑白反显
            [ 0x1d, 0x42, 0x01 ],// 选择黑白反显
            [ 0x1b, 0x56, 0x00 ],// 取消顺时针旋转90°
            [ 0x1b, 0x56, 0x01 ],// 选择顺时针旋转90°
            [ 0x1b, 0x61, 0x30 ],// 左对齐
            [ 0x1b, 0x61, 0x31 ],// 居中对齐
            [ 0x1b, 0x61, 0x32 ],// 右对齐
            [ 0x1b, 0x69 ],// 切纸
            [ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1B,0x40, 0x1B, 0x33, 0x00 ],
            [ 0x1d, 0x4c, 0x1f, 0x00 ]
    ];

bluetoothPrint.str2Bytes = function(str) {
	var pos = 0;
	var len = str.length;
	if (len % 2 != 0){
		return null;
	}
	len /= 2;
	var hexA = new Array();
	for (var i = 0; i < len; i++){
		var s = str.substr(pos, 2);
		var v = parseInt(s, 16);
		hexA.push(v);
		pos += 2;
	}
	return hexA;
}

bluetoothPrint.bytes2Str = function(arr){
	var str = "";
    for(var i=0; i<arr.length; i++){
       var tmp = arr[i].toString(16);
       if(tmp.length == 1){
           tmp = "0" + tmp;
       }
       str += tmp;
    }
    return str;
}
bluetoothPrint.sendBytesOrder = function(bytes){
	_codingone.sendBluetoothMsg(bluetoothPrint.bytes2Str(bytes),'byte');
}
window.bluetoothPrint_str = '';
bluetoothPrint.echo = bluetoothPrint.sendOrder = function(msg){
	window.bluetoothPrint_str+=msg;
}
bluetoothPrint.smallText = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[3]);
}
bluetoothPrint.middelText = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[4]);
}
bluetoothPrint.largeText = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[5]);
}
bluetoothPrint.leftAlign = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[14]);
}
bluetoothPrint.centerAlign = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[15]);
}
bluetoothPrint.rightAlign = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[16]);
}
bluetoothPrint.boldText = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[7]);
}
bluetoothPrint.thinText = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[6]);
}
bluetoothPrint.newLine = function(){
	bluetoothPrint.sendOrder("\n");
}
bluetoothPrint.reset = function(){
	bluetoothPrint.sendBytesOrder(bluetoothPrint_order[0]);
}
bluetoothPrint.flush = function(){
	_codingone.sendBluetoothMsg(window.bluetoothPrint_str+"\n\n",'str');
	window.bluetoothPrint_str = '';
}
bluetoothPrint.print = function(msg){
    _codingone.sendBluetoothMsg(msg+"\n",'str');
}
bluetoothPrint.printPic = function(url){
    _codingone.sendBluetoothMsg(url,'img58print');
}